import { defineStore } from "pinia";
import { ref } from "vue";

export const useDefineStore = defineStore("useDefineStore", ()=>{
    let formData=ref ({
        name: "",
        creditCode: "",
        licensePath: "",
        location:"",
        licenseValidityPeriod: ""
    })
        function setFormDataKey(key, data) {
            this.formData[key] = data;
        }
        return {
            formData,
            setFormDataKey
        }
});
